Participant
Update Participant by ID
The Update Participant by ID endpoint modifies a participant’s authentication settings. The participant’s email cannot be updated. All parameters are optional.
PATCH
/
sign
/
envelopes
/
{envelopeID}
/
participants
/
{participantID}
Update Participant by ID
curl --request PATCH \
--url https://api.gonitro.dev/sign/envelopes/{envelopeID}/participants/{participantID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"authentication": {
"accessCode": "<string>",
"type": "AccessCode"
}
}
'import requests
url = "https://api.gonitro.dev/sign/envelopes/{envelopeID}/participants/{participantID}"
payload = { "authentication": {
"accessCode": "<string>",
"type": "AccessCode"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({authentication: {accessCode: '<string>', type: 'AccessCode'}})
};
fetch('https://api.gonitro.dev/sign/envelopes/{envelopeID}/participants/{participantID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"role": "<string>",
"authentication": {
"accessCode": "<string>",
"type": "AccessCode"
}
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#400-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Request validation failed",
"instance": "/sign/envelopes",
"validation_errors": {
"name": "must not be blank"
}
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid Authorization header",
"instance": "/sign/envelopes"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#404-not-found",
"title": "Not Found",
"status": 404,
"detail": "Envelope with ID 'envelop-123' not found",
"instance": "/sign/envelopes/envelop-123"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique UUIDv4 string that identifies the envelope in the Nitro system.
A unique UUIDv4 string that identifies the participant in the Nitro system.
Body
application/json
Participant authentication. Optional field.
- Access Code
- SMS
Show child attributes
Show child attributes
⌘I
Update Participant by ID
